package cn.ibizlab.assetmanagement.core.plan.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.assetmanagement.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.assetmanagement.core.plan.domain.EAMPlanLine;
/**
 * 关系型数据实体[EAMPlanLine] 查询条件对象
 */
@Slf4j
@Data
public class EAMPlanLineSearchContext extends QueryWrapperContext<EAMPlanLine> {

	private String n_eamplanlinename_like;//[计划步骤名称]
	public void setN_eamplanlinename_like(String n_eamplanlinename_like) {
        this.n_eamplanlinename_like = n_eamplanlinename_like;
        if(!ObjectUtils.isEmpty(this.n_eamplanlinename_like)){
            this.getSearchCond().like("eamplanlinename", n_eamplanlinename_like);
        }
    }
	private String n_eamplanid_eq;//[维护计划标识]
	public void setN_eamplanid_eq(String n_eamplanid_eq) {
        this.n_eamplanid_eq = n_eamplanid_eq;
        if(!ObjectUtils.isEmpty(this.n_eamplanid_eq)){
            this.getSearchCond().eq("eamplanid", n_eamplanid_eq);
        }
    }
	private String n_eamlocationid_eq;//[功能位置标识]
	public void setN_eamlocationid_eq(String n_eamlocationid_eq) {
        this.n_eamlocationid_eq = n_eamlocationid_eq;
        if(!ObjectUtils.isEmpty(this.n_eamlocationid_eq)){
            this.getSearchCond().eq("eamlocationid", n_eamlocationid_eq);
        }
    }
	private String n_assetid_eq;//[资产标识]
	public void setN_assetid_eq(String n_assetid_eq) {
        this.n_assetid_eq = n_assetid_eq;
        if(!ObjectUtils.isEmpty(this.n_assetid_eq)){
            this.getSearchCond().eq("assetid", n_assetid_eq);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("eamplanlinename", query)   
            );
		 }
	}
}



